<%@ page
    contentType="text/html"
    session="true"
    pageEncoding="windows-1252"
    isELIgnored="false"
    import="javax.portlet.*,java.util.*"
%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<fmt:setLocale value="en"/>
<fmt:setBundle basename="samples.webcenter.portlets.blog.BlogPortlet"/>
<fmt:message key='blog.save.label' var="blog_save_label"/>
<fmt:message key='blog.cancel.label' var="blog_cancel_label"/>
<fmt:message key="blog.delete.confirm.msg" var="blog_delete_confirm">
        <fmt:param value="${blog_entry.title}"/>
</fmt:message>
<portlet:defineObjects/>
<div class="blog-body">
        <div class="blog-entry">

                <h3 class="blog-entry-title">
                        <div id="${uid}_title">${blog_entry.title}</div>
                        <div class="blog-entry-title-edit" id="${uid}_title_edit" style="display: none">
                                <fmt:message key="blog.title.label"/>:
                                <input id="${uid}_title_editor" type="text" value="${blog_entry.title}"/>
                        </div>
                </h3>
                        
                <c:if test="${fn:replace(pageContext.request.userPrincipal.name,'[1]','') == blog_entry.author}">
                
                        <div id="${uid}_controls" class="blog-entry-controls">
                                <div name="Edit" onclick="blogPortlet_doEdit('${uid}');"><fmt:message key="blog.edit.label"/></div>
                                <portlet:actionURL var="blogDeleteUrl"/>
                                <form id="${uid}_blog_delete_form" method="POST" action="${blogDeleteUrl}">
                                    <input type="hidden" name="blog_action" value="delete"/>		
                                    <div name="Delete" onclick="blogPortlet_doDelete('${uid}', '${blog_delete_confirm}');"><fmt:message key="blog.delete.label"/></div>
                                </form>
                        </div>
                       
                </c:if>
                
                <div id="${uid}_info" class="blog-entry-info">
                        <fmt:formatDate value="${blog_entry.date}" type="time" pattern="hh:mm a" var="time"/>
                        <fmt:formatDate value="${blog_entry.date}" type="date" pattern="MM/dd/yyyy" var="date"/>
                        <fmt:message key="blog.entry.msg.by"/>&nbsp;<span>${blog_entry.author}</span>&nbsp;<fmt:message key="blog.entry.msg.on"/>&nbsp;${date}&nbsp;<fmt:message key="blog.entry.msg.at"/>&nbsp;${time}
                </div>
                <div id="${uid}_content" class="blog-entry-content">
                        ${blog_entry.content}
                </div>
                <div id="${uid}_editor" class="blog-entry-editor" style="display: none">
                        <textarea id="${uid}_textarea" rows="10" cols="40">
                                ${blog_entry.content}
                        </textarea>
                </div>
                <div id="${uid}_editor_buttons" class="blog-entry-editor-buttons" style="display: none">
                    <portlet:actionURL var="blogUpdateUrl"/>
                    <form id="${uid}_blog_update_form" method="POST" action="${blogUpdateUrl}">
                            <input type="hidden" name="blog_content" id="${uid}_blog_content_field" value="${blog_entry.content}"/>
                            <input type="hidden" name="blog_title" id="${uid}_blog_title_field" value="${blog_entry.title}"/>		
                            <input id="${uid}_blog_action" type="hidden" name="blog_action" value="update"/>		
                            <fmt:message key='blog.save.label' var="blog_save_label"/>
                            <fmt:message key='blog.cancel.label' var="blog_cancel_label"/>
                            <input type="button" name="Save" onclick="blogPortlet_doSave('${uid}');" value="${blog_save_label}"/>
                            <input type="button" name="Cancel" onclick="blogPortlet_doCancel('${uid}');" value="${blog_cancel_label}"/>
                    </form>
                </div>
                <div id="${uid}_comments" class="blog-entry-comments">
                        <div class="blog-entry-comments-size">
                                <fmt:message key="blog.entry.msg.comments.size">
                                        <fmt:param value="${fn:length(blog_comments)}"/>
                                </fmt:message>
                        </div>
                        <ol>
                        <c:forEach items="${blog_comments}" var="comment" varStatus="status">
                                <c:set var="blog_comment" value="${comment.value}" scope="request"/>
                                <fmt:formatDate value="${blog_comment.date}" type="time" pattern="hh:mm a" var="time"/>
                                <fmt:formatDate value="${blog_comment.date}" type="date" pattern="MM/dd/yyyy" var="date"/>
                                <li class="${(status.index)%2 eq 1 ? 'blog-entry-comment' : 'blog-entry-comment-alt'}">
                                        <div class="blog-entry-comments-author">
                                                <fmt:message key="blog.entry.msg.comment.author">
                                                        <fmt:param value="${blog_comment.author}"/>
                                                </fmt:message>
                                        </div>
                                        <div class="blog-entry-comments-date">
                                                <fmt:message key="blog.entry.msg.comment.date.first">
                                                        <fmt:param value="${date}"/>
                                                        <fmt:param value="${time}"/>
                                                </fmt:message>
                                        </div>
                                        <div class="blog-entry-comments-content">
                                                ${blog_comment.comment}
                                        </div>
                                </li>	
                        </c:forEach>
                        </ol>
                        <portlet:actionURL var="createBlogCommentUrl"/>
                        <form id="${uid}_blog_comment_form" method="POST" action="${createBlogCommentUrl}">
                                <h3><fmt:message key='blog.comment.leave.msg'/></h3>
                                <c:choose>
                                        <c:when test="${pageContext.request.userPrincipal != null}">
                                        </c:when>
                                        <c:otherwise>
                                                <label for="blog_comment_username"><fmt:message key='blog.comment.username.label'/>:</label>
                                                <input id="${uid}_blog_comment_username" name="blog_comment_username" type="text" value=""/>
                                                <br style="clear: both"/>
                                                <label for="blog_comment_email"><fmt:message key='blog.comment.email.label'/>:</label>
                                                <input id="${uid}_blog_comment_email" name="blog_comment_email" type="text" value=""/>
                                                <label for="blog_comment_website"><fmt:message key='blog.comment.website.label'/>:</label>
                                                <input id="${uid}_blog_comment_website" name="blog_comment_website" type="text" value=""/>
                                                <br style="clear: both"/>
                                        </c:otherwise>
                                </c:choose>
                                <!--input id="${uid}_blog_comment_text" name="blog_comment_text" type="text" value=""/-->
                                <textarea id="${uid}_blog_comment_text" name="blog_comment_text" cols="36" rows="5"></textarea>
                                <br style="clear: both"/>
                                <fmt:message key='blog.comment.save.label' var="blog_comment_save_label"/>
                                <input type="button" name="SaveComment" onclick="blogPortlet_doSaveComment('${uid}', ${pageContext.request.userPrincipal != null});" value="${blog_comment_save_label}"/>
                                <br style="clear: both"/>
                                <input type="hidden" name="blog_action" value="comment"/>		
                        </form>
                </div>
        </div>
</div>
