<%@ page
    contentType="text/html"
    session="true"
    pageEncoding="windows-1252"
    isELIgnored="false"
    import="javax.portlet.*,java.util.*"
%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<fmt:setLocale value="en"/>
<fmt:setBundle basename="samples.webcenter.portlets.discussions.DiscussionsPortlet"/>
<portlet:defineObjects/>
<div class="forum-breadcrumbs">
        <portlet:actionURL var="showForumsLink">
                <portlet:param name="discussions_view_mode" value="forums"/>	
                <portlet:param name="discussions_category_id" value="${category.ID}"/>	
        </portlet:actionURL>
        <span><a href="${showForumsLink}">${category.name}</a></span>
</div>
<c:set var="pagesize" value="${discussions_page_size > 0 ? discussions_page_size : 9999}" scope="request"/>
<c:set var="pagecount" value="${fn:length(forums) / pagesize}" scope="request"/>
<c:set var="pagecount" value="${pagecount % 1 > 0 ? (pagecount - pagecount % 1) + 1 : (pagecount - pagecount % 1)}" scope="request"/> 
<fmt:formatNumber var="pagecount" value="${pagecount}" pattern="0"/>
<div class="forum-page-views">
        <c:if test="${pageContext.request.userPrincipal != null and forum_perms.isForumCategoryAdmin}">
                <div id="${uid}_c${category.ID}_action_buttons" class="forum-forums-action-buttons">
                        <div name="NewForum" onclick="discussionsPortlet_doCreateForum('${uid}', '${category.ID}');"><fmt:message key="discussions.newforum.label"/></div>
                </div>
        </c:if>
        <div class="forum-page-views-pager">
                <span class="forum-page-views-pager-status">Page <span id="${uid}_pagestatus1">1</span> of ${pagecount}</span>
                <c:forEach varStatus="s" begin="0" end="${(pagecount - 1) > 0 ? (pagecount - 1) : 0}">
                        <a class="${s.index == 0 ? 'forum-page-views-pager-status-active' : ''}" id="${uid}_pager1_${s.index}" href="javascript:void(null);" onclick="discussionsPortlet_selectPage('${uid}', '${s.index}')">
                                ${s.index + 1}
                        </a> 
                </c:forEach>
        </div>
</div>
<c:forEach varStatus="s" begin="0" end="${(pagecount - 1) > 0 ? (pagecount - 1) : 1}">
        <table id="${uid}_page_${s.index}" class="forum-forums-list" cellpadding="0" cellspacing="0" border="0" style="${s.index > 0 ? 'display: none' : ''}">
                <thead class="forum-thread-head">
                        <tr>
                                <th class="forum-forums-head-status">
                                        &nbsp;
                                </th>
                                <th class="forum-forums-head-topic">
                                        Forum
                                </th>
                                <th class="forum-forums-head-last">
                                        Last Post
                                </th>
                                <th class="forum-forums-head-replies">
                                        Threads
                                </th>
                                <!--th class="forum-forums-head-views">
                                        Views
                                </th-->
                        </tr>
                </thead>
                <tbody>
                <c:forEach items="${forums}" var="forum" varStatus="t" begin="${s.index * pagesize}" end="${((s.index + 1) * pagesize) - 1}">
                        <portlet:actionURL var="showForumLink">
                                <portlet:param name="discussions_view_mode" value="threads"/>	
                                <portlet:param name="discussions_forum_id" value="${forum.ID}"/>	
                        </portlet:actionURL>
                        <tr class="forum-forums">
                                <td class="forum-forums-status">
                                        &nbsp;
                                </td>
                                <td class="forum-forums-topic">
                                        <div class="forum-forums-topic-title">
                                                <c:set var="forum_summary" value="?" scope="request"/>
                                                <c:if test="${fn:length(forum_summary) > 200}">
                                                        <c:set var="forum_summary" value="${fn:substring(forum_summary, 0, 199)}..." scope="request"/>
                                                </c:if>
                                                <a href="${showForumLink}" title="${forum_summary}">${forum.name}</a>
                                        </div>
                                </td>
                                <td class="forum-forums-info-last">
                                        <div class="forum-forums-info-date">
                                                <fmt:formatDate value="${forum.latestMessage.modificationDate.time}" type="both" pattern="MM/dd/yyyy, hh:mm a"/>
                                        </div>
                                        <div class="forum-forums-info-user">
                                                by ${forum.latestMessage.user.name}
                                        </div>
                                </td>
                                <td class="forum-forums-info-replies">
                                        <a href="forum_view.jsp?f=${forum.ID}">${forum.threadCount}</a>
                                </td>
                                <!--td class="forum-forums-info-views">
                                        ?
                                </td-->
                        </tr>
                </c:forEach>
                </tbody>
        </table>
</c:forEach>
<div class="forum-page-views">
        <div class="forum-page-views-pager">
                <span class="forum-page-views-pager-status">Page <span id="${uid}_pagestatus2">1</span> of ${pagecount}</span>
                <c:forEach varStatus="s" begin="0" end="${(pagecount - 1) > 0 ? (pagecount - 1) : 0}">
                        <a class="${s.index == 0 ? 'forum-page-views-pager-status-active' : ''}" id="${uid}_pager2_${s.index}" href="javascript:void(null);" onclick="discussionsPortlet_selectPage('${uid}', '${s.index}')">
                                ${s.index + 1}
                        </a> 
                </c:forEach>
        </div>
</div>
<div class="forum-message-footer">
        <c:if test="${pageContext.request.userPrincipal != null and forum_perms.isForumCategoryAdmin}">
                <div id="${uid}_c${category.ID}_details" class="forum-forums-details-editor" style="display: none">
                        <div>
                                Title: <input id="${uid}_c${category.ID}_title_field" type="text" name="forum_title" value=""/>
                        </div>
                        <div>
                                Description: <input id="${uid}_c${category.ID}_description_field" type="text" name="forum_description" value=""/>
                        </div>
                </div>
                <div id="${uid}_c${category.ID}_editor_buttons" class="forum-message-editor-buttons" style="display: none">
                    <portlet:actionURL var="forumActionUrl"/>
                    <form id="${uid}_forums_form" method="POST" action="${forumActionUrl}">
                            <input type="hidden" name="category_id" id="${uid}_category_id_field" value="${category.ID}"/>
                            <input type="hidden" name="forum_title" id="${uid}_forum_title_field" value=""/>	
                            <input type="hidden" name="forum_description" id="${uid}_forum_description_field" value=""/>	
                            <input type="hidden" name="discussions_action" id="${uid}_discussions_action" value="create_forum"/>		
                            <fmt:message key='discussions.save.label' var="discussions_save_label"/>
                            <fmt:message key='discussions.cancel.label' var="discussions_cancel_label"/>
                            <input type="button" name="Save" onclick="discussionsPortlet_doSaveForum('${uid}', '${category.ID}', 'c');" value="${discussions_save_label}"/>
                            <input type="button" name="Cancel" onclick="discussionsPortlet_doCancelCreateForum('${uid}', '${category.ID}', 'c');" value="${discussions_cancel_label}"/>
                    </form>
                </div>
        </c:if>
</div>
<script type="text/javascript">
//<![CDATA[
        var discussionsPortlet_currentPage = 0;
//]]>
</script>
