<%@ page
    contentType="text/html"
    session="true"
    pageEncoding="windows-1252"
    isELIgnored="false"
    import="javax.portlet.*,java.util.*"
%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<fmt:setLocale value="en"/>
<fmt:setBundle basename="samples.webcenter.portlets.discussions.DiscussionsPortlet"/>
<portlet:defineObjects/>
<div class="forum-breadcrumbs">
        <portlet:actionURL var="showForumsLink">
                <portlet:param name="discussions_view_mode" value="forums"/>	
                <portlet:param name="discussions_category_id" value="${category.ID}"/>	
        </portlet:actionURL>
        <portlet:actionURL var="showThreadsLink">
                <portlet:param name="discussions_view_mode" value="threads"/>	
                <portlet:param name="discussions_forum_id" value="${forum.ID}"/>	
        </portlet:actionURL>
        <portlet:actionURL var="showMessagesLink">
                <portlet:param name="discussions_view_mode" value="messages"/>	
                <portlet:param name="discussions_thread_id" value="${thread.ID}"/>	
        </portlet:actionURL>
        <span><a href="${showForumsLink}">${category.name}</a></span>
        &nbsp;>&nbsp;
        <span><a href="${showThreadsLink}">${forum.name}</a></span>
        &nbsp;>&nbsp;
        <span><a href="${showMessagesLink}">${thread.name}</a></span>
</div>
<c:set var="pagesize" value="${discussions_page_size > 0 ? discussions_page_size : 9999}" scope="request"/>
<c:set var="pagecount" value="${fn:length(messages) / pagesize}" scope="request"/>
<c:set var="pagecount" value="${pagecount % 1 > 0 ? (pagecount - pagecount % 1) + 1 : (pagecount - pagecount % 1)}" scope="request"/> 
<fmt:formatNumber var="pagecount" value="${pagecount}" pattern="0"/>
<div class="forum-page-views">
        <div class="forum-page-views-pager">
                <span class="forum-page-views-pager-status">Page <span id="${uid}_pagestatus1">1</span> of ${pagecount}</span>
                <c:forEach varStatus="s" begin="0" end="${(pagecount - 1) > 0 ? (pagecount - 1) : 0}">
                        <a class="${s.index == 0 ? 'forum-page-views-pager-status-active' : ''}" id="${uid}_pager1_${s.index}" href="javascript:void(null);" onclick="discussionsPortlet_selectPage('${uid}', '${s.index}')">
                                ${s.index + 1}
                        </a> 
                </c:forEach>
        </div>
</div>
<c:forEach varStatus="s" begin="0" end="${(pagecount - 1) > 0 ? (pagecount - 1) : 1}">
        <div id="${uid}_page_${s.index}" style="${s.index > 0 ? 'display: none' : ''}"> 	
                <c:forEach items="${messages}" var="message" varStatus="t" begin="${s.index * pagesize}" end="${((s.index + 1) * pagesize) - 1}">
                        <div class="forum-message">
                                <div class="forum-message-header">
                                        <div class="forum-message-header-date">
                                                <fmt:formatDate value="${message.creationDate.time}" type="both" pattern="MM/dd/yyyy, hh:mm a"/>
                                        </div>
                                </div>
                                <div class="forum-message-info">
                                        <div class="forum-message-info-user">
                                                <div class="forum-message-info-user-name">
                                                        ${message.user.nameVisible ? message.user.name : '&nbsp;'}
                                                </div>
                                                <div class="forum-message-info-user-date">
                                                        Join Date: <fmt:formatDate value="${message.user.creationDate.time}" type="date" pattern="MMM yyyy"/>
                                                </div>
                                        </div>
                                </div>
                                <div class="forum-message-body">
                                        <div id="${uid}_m${message.ID}_body" class="forum-message-body-content">
                                                ${message.body}
                                        </div>
                                </div>
                                <div class="forum-message-footer">
                                        <c:if test="${pageContext.request.userPrincipal != null and forum_perms.canCreateMessage}">
                                                <div id="${uid}_m${message.ID}_action_buttons" class="forum-message-action-buttons">
                                                        <c:if test="${fn:replace(pageContext.request.userPrincipal.name,'[1]','') == message.user.username}">
                                                                <div name="EditMessage" onclick="discussionsPortlet_doEditMessage('${uid}', '${message.ID}');"><fmt:message key="discussions.edit.label"/></div>
                                                        </c:if>					
                                                        <div name="ReplyMessage" onclick="discussionsPortlet_doReplyMessage('${uid}', '${message.ID}', '${message.subject}', '${message.user.name}', false);"><fmt:message key="discussions.reply.label"/></div>
                                                        <div name="ReplyQuoted" onclick="discussionsPortlet_doReplyMessage('${uid}', '${message.ID}', '${message.subject}', '${message.user.name}', true);"><fmt:message key="discussions.quote.label"/></div>
                                                </div>
                                                <div id="${uid}_m${message.ID}_editor_buttons" class="forum-message-editor-buttons" style="display: none">
                                                    <portlet:actionURL var="messageActionUrl"/>
                                                    <form id="${uid}_m${message.ID}_message_form" method="POST" action="${messageActionUrl}">
                                                        <input type="hidden" name="thread_id" id="${uid}_m${message.ID}_thread_id_field" value="${thread.ID}"/>
                                                        <input type="hidden" name="message_id" id="${uid}_m${message.ID}_message_id_field" value=""/>
                                                        <input type="hidden" name="message_title" id="${uid}_m${message.ID}_message_title_field" value="${thread.name}"/>	
                                                        <input type="hidden" name="message_content" id="${uid}_m${message.ID}_message_content_field" value=""/>	
                                                        <input type="hidden" name="discussions_action" id="${uid}_m${message.ID}_discussions_action" value="update_message"/>		
                                                        <fmt:message key='discussions.save.label' var="discussions_save_label"/>
                                                        <fmt:message key='discussions.cancel.label' var="discussions_cancel_label"/>
                                                        <input type="button" name="Save" onclick="discussionsPortlet_doSaveMessage('${uid}', '${message.ID}', 'm');" value="${discussions_save_label}"/>
                                                        <input type="button" name="Cancel" onclick="discussionsPortlet_doCancelMessage('${uid}', '${message.ID}', 'm');" value="${discussions_cancel_label}"/>
                                                    </form>
                                                </div>
                                        </c:if>
                                </div>
                        </div>
                </c:forEach>
        </div>
</c:forEach>
<div class="forum-page-views">
        <c:if test="${pageContext.request.userPrincipal != null and forum_perms.canCreateMessage}">
                <div id="${uid}_t${thread.ID}_action_buttons" class="forum-message-action-buttons">
                        <div name="NewMessage" onclick="discussionsPortlet_doCreateMessage('${uid}', '${thread.ID}');"><fmt:message key="discussions.postreply.label"/></div>
                </div>
        </c:if>
        <div class="forum-page-views-pager">
                <span class="forum-page-views-pager-status">Page <span id="${uid}_pagestatus2">1</span> of ${pagecount}</span>
                <c:forEach varStatus="s" begin="0" end="${(pagecount - 1) > 0 ? (pagecount - 1) : 0}">
                        <a class="${s.index == 0 ? 'forum-page-views-pager-status-active' : ''}" id="${uid}_pager2_${s.index}" href="javascript:void(null);" onclick="discussionsPortlet_selectPage('${uid}', '${s.index}')">
                                ${s.index + 1}
                        </a> 
                </c:forEach>
        </div>
</div>
<div class="forum-message-footer">
        <c:if test="${pageContext.request.userPrincipal != null and forum_perms.canCreateMessage}">
                <div id="${uid}_t${thread.ID}_body"></div>
                <div id="${uid}_t${thread.ID}_editor" class="forum-message-editor" style="display: none"></div>
                <div id="${uid}_t${thread.ID}_editor_buttons" class="forum-message-editor-buttons" style="display: none">
                    <portlet:actionURL var="threadActionUrl"/>
                    <form id="${uid}_t${thread.ID}_message_form" method="POST" action="${threadActionUrl}">
                            <input type="hidden" name="thread_id" id="${uid}_t${thread.ID}_thread_id_field" value="${thread.ID}"/>
                            <input type="hidden" name="message_id" id="${uid}_t${thread.ID}_message_id_field" value=""/>
                            <input type="hidden" name="message_title" id="${uid}_t${thread.ID}_message_title_field" value="${thread.name}"/>	
                            <input type="hidden" name="message_content" id="${uid}_t${thread.ID}_message_content_field" value=""/>	
                            <input type="hidden" name="discussions_action" id="${uid}_t${thread.ID}_discussions_action" value="update_message"/>		
                            <fmt:message key='discussions.save.label' var="discussions_save_label"/>
                            <fmt:message key='discussions.cancel.label' var="discussions_cancel_label"/>
                            <input type="button" name="Save" onclick="discussionsPortlet_doSaveMessage('${uid}', '${thread.ID}', 't');" value="${discussions_save_label}"/>
                            <input type="button" name="Cancel" onclick="discussionsPortlet_doCancelCreateMessage('${uid}', '${thread.ID}', 't');" value="${discussions_cancel_label}"/>
                    </form>
                </div>
        </c:if>
</div>	
<script type="text/javascript">
//<![CDATA[
        var discussionsPortlet_currentPage = 0;
//]]>
</script>
