<%@ page
    contentType="text/html"
    session="true"
    pageEncoding="windows-1252"
    isELIgnored="false"
    import="javax.portlet.*,java.util.*"
%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<fmt:setLocale value="en"/>
<fmt:setBundle basename="samples.webcenter.portlets.discussions.DiscussionsPortlet"/>
<portlet:defineObjects/>
<div class="forum-breadcrumbs">
        <portlet:actionURL var="showForumsLink">
                <portlet:param name="discussions_view_mode" value="forums"/>	
                <portlet:param name="discussions_category_id" value="${category.ID}"/>	
        </portlet:actionURL>
        <portlet:actionURL var="showThreadsLink">
                <portlet:param name="discussions_view_mode" value="threads"/>	
                <portlet:param name="discussions_forum_id" value="${forum.ID}"/>	
        </portlet:actionURL>
        <span><a href="${showForumsLink}">${category.name}</a></span>
        &nbsp;>&nbsp;
        <span><a href="${showThreadsLink}">${forum.name}</a></span>
</div>
<c:set var="pagesize" value="${discussions_page_size > 0 ? discussions_page_size : 9999}" scope="request"/>
<c:set var="pagecount" value="${fn:length(threads) / pagesize}" scope="request"/>
<c:set var="pagecount" value="${pagecount % 1 > 0 ? (pagecount - pagecount % 1) + 1 : (pagecount - pagecount % 1)}" scope="request"/> 
<fmt:formatNumber var="pagecount" value="${pagecount}" pattern="0"/>
<div class="forum-page-views">
        <c:if test="${pageContext.request.userPrincipal != null and forum_perms.canCreateThread}">
                <div id="${uid}_f${forum.ID}_action_buttons" class="forum-thread-action-buttons">
                        <div name="NewThread" onclick="discussionsPortlet_doCreateThread('${uid}', '${forum.ID}');"><fmt:message key="discussions.newthread.label"/></div>
                </div>
        </c:if>
        <div class="forum-page-views-pager">
                <span class="forum-page-views-pager-status">Page <span id="${uid}_pagestatus1">1</span> of ${pagecount}</span>
                <c:forEach varStatus="s" begin="0" end="${(pagecount - 1) > 0 ? (pagecount - 1) : 0}">
                        <a class="${s.index == 0 ? 'forum-page-views-pager-status-active' : ''}" id="${uid}_pager1_${s.index}" href="javascript:void(null);" onclick="discussionsPortlet_selectPage('${uid}', '${s.index}')">
                                ${s.index + 1}
                        </a> 
                </c:forEach>
        </div>
</div>
<c:forEach varStatus="s" begin="0" end="${(pagecount - 1) > 0 ? (pagecount - 1) : 1}">
        <table id="${uid}_page_${s.index}" class="forum-thread-list" cellpadding="0" cellspacing="0" border="0" style="${s.index > 0 ? 'display: none' : ''}">
                <thead class="forum-thread-head">
                        <tr>
                                <th>
                                </th>
                                <th class="forum-thread-head-topic">
                                        Thread
                                </th>
                                <th class="forum-thread-head-last">
                                        Last Post
                                </th>
                                <th class="forum-thread-head-replies">
                                        Replies
                                </th>
                                <!--th class="forum-thread-head-views">
                                        Views
                                </th-->
                        </tr>
                </thead>
                <tbody>				
                <c:forEach items="${threads}" var="thread" varStatus="t" begin="${s.index * pagesize}" end="${((s.index + 1) * pagesize) - 1}">
                        <portlet:actionURL var="showThreadLink">
                                <portlet:param name="discussions_view_mode" value="messages"/>	
                                <portlet:param name="discussions_thread_id" value="${thread.ID}"/>	
                        </portlet:actionURL>
                        <tr class="forum-thread">
                                <td class="forum-thread-status">
                                        &nbsp;
                                </td>
                                <td class="forum-thread-topic">
                                        <div class="forum-thread-topic-title">
                                                <%-- <c:set var="thread_summary" value="${thread.rootMessage.plainBody}" scope="request"/> --%>
                                                <c:set var="thread_summary" value="" scope="request"/>
                                                <c:if test="${fn:length(thread_summary) > 200}">
                                                        <c:set var="thread_summary" value="${fn:substring(thread_summary, 0, 199)}..." scope="request"/>
                                                </c:if>
                                                <a href="${showThreadLink}" title="${thread_summary}">${thread.name}</a>
                                        </div>
                                </td>
                                <td class="forum-thread-info-last">
                                        <div class="forum-thread-info-date">
                                                <fmt:formatDate value="${thread.latestMessage.modificationDate.time}" type="both" pattern="MM/dd/yyyy, hh:mm a"/>
                                        </div>
                                        <div class="forum-thread-info-user">
                                                by ${thread.latestMessage.user.name}
                                        </div>
                                </td>
                                <td class="forum-thread-info-replies">
                                        <a href="thread_view.jsp?t=${thread.ID}">${thread.messageCount}</a>
                                </td>
                                <!--td class="forum-thread-info-views">
                                        ?
                                </td-->
                        </tr>
                </c:forEach>
                </tbody>
        </table>
</c:forEach>
<div class="forum-page-views">
        <div class="forum-page-views-pager">
                <span class="forum-page-views-pager-status">Page <span id="${uid}_pagestatus2">1</span> of ${pagecount}</span>
                <c:forEach varStatus="s" begin="0" end="${(pagecount - 1) > 0 ? (pagecount - 1) : 0}">
                        <a class="${s.index == 0 ? 'forum-page-views-pager-status-active' : ''}" id="${uid}_pager2_${s.index}" href="javascript:void(null);" onclick="$discussionsPortlet_selectPage('${uid}', '${s.index}')">
                                ${s.index + 1}
                        </a> 
                </c:forEach>
        </div>
</div>
<div class="forum-message-footer">
        <c:if test="${pageContext.request.userPrincipal != null and forum_perms.canCreateThread}">
                <div id="${uid}_f${forum.ID}_title" class="forum-message-title-editor" style="display: none">
                        Title: <input id="${uid}_f${forum.ID}_title_field" type="text" name="thread_title" value=""/>
                </div>
                <div id="${uid}_f${forum.ID}_body"></div>
                <div id="${uid}_f${forum.ID}_editor" class="forum-message-editor" style="display: none"></div>
                <div id="${uid}_f${forum.ID}_editor_buttons" class="forum-message-editor-buttons" style="display: none">
                    <portlet:actionURL var="threadActionUrl"/>
                    <form id="${uid}_f${forum.ID}_thread_form" method="POST" action="${threadActionUrl}">
                        <input type="hidden" name="forum_id" id="${uid}_f${forum.ID}_forum_id_field" value="${forum.ID}"/>
                        <input type="hidden" name="message_title" id="${uid}_f${forum.ID}_message_title_field" value=""/>	
                        <input type="hidden" name="message_content" id="${uid}_f${forum.ID}_message_content_field" value=""/>	
                        <input type="hidden" name="discussions_action" id="${uid}_f${forum.ID}_discussions_action" value="create_thread"/>		
                        <fmt:message key='discussions.save.label' var="discussions_save_label"/>
                        <fmt:message key='discussions.cancel.label' var="discussions_cancel_label"/>
                        <input type="button" name="Save" onclick="discussionsPortlet_doSaveThread('${uid}', '${forum.ID}', 'f');" value="${discussions_save_label}"/>
                        <input type="button" name="Cancel" onclick="discussionsPortlet_doCancelCreateThread('${uid}', '${forum.ID}', 'f');" value="${discussions_cancel_label}"/>
                    </form>
                </div>
        </c:if>
</div>
<script type="text/javascript">
//<![CDATA[
        var discussionsPortlet_currentPage = 0;
//]]>
</script>
