<%@ page
    contentType="text/html"
    session="true"
    pageEncoding="windows-1252"
    isELIgnored="false"
    import="javax.portlet.*,java.util.*"
%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<fmt:setLocale value="en"/>
<fmt:setBundle basename="samples.webcenter.portlets.wiki.WikiPortlet"/>
<portlet:defineObjects/>
<portlet:actionURL var="actionURL"/>
<c:choose>
        <c:when test="${fn:length(all_wikis) <= 0}">
                <c:set var="error_type" value="invalid_service" scope="request"/>
        </c:when>
        <c:otherwise>
                <c:if test="${wiki_scope == null or wiki_scope == ''}">
                    <c:if test="${fn:length(all_wikis) > 0}">
                        <c:set var="wiki_scope" value="${all_wikis[0].domainInfo.domain}" scope="request"/>
                        <c:set var="current_wiki" value="${all_wikis[0]}" scope="request"/>
                    </c:if>
                </c:if>
        </c:otherwise>
</c:choose>
<c:choose>
        <c:when test="${(empty error_type or wiki_create == 'true') and wiki_settings != 'true'}">
                <div class="wiki-header">
                        <div class="wiki-title">
                                <h2>
                                        ${page_info.domain}
                                </h2>
                        </div>
                        <div class="wiki-controls">
                                <input type="hidden" name="page_action" value=""/>		
                                <portlet:actionURL var="settingsUrl">
                                    <portlet:param name="page_action" value="settings"/>            
                                </portlet:actionURL>
                                <form name="Settings" id="${uid}_wiki_settings_form" method="POST" action="${settingsUrl}">
                                        <fmt:message key='wiki.settings.label' var="wiki_settings_label"/>
                                        <a href="${settingsUrl}" name="Settings">${wiki_settings_label}</a>
                                </form>
                                <!--
                                <portlet:actionURL var="searchwikiUrl"/>					
                                <form name="Search" id="${uid}_wiki_search_form" method="POST" action="${searchwikiUrl}">
                                        <input id="wiki_search_text" name="wiki_search_text" type="text" value=""/>
                                        <fmt:message key='wiki.search.label' var="wiki_search_label"/>
                                        <a href="#" name="Search" onclick="document.forms.Search.submit();">${wiki_search_label}</a>
                                        <input type="hidden" name="page_action" value="search"/>		
                                </form>
                                -->
                                <c:if test="${pageContext.request.userPrincipal != null}">
                                        <portlet:actionURL var="createwikiEntryLink">
                                                <portlet:param name="wiki_show" value="page"/>	
                                                <portlet:param name="wiki_create" value="true"/>	
                                        </portlet:actionURL>
                                        <form name="Create" id="${uid}_wiki_create_form" action="">
                                                <a name="Create" href="${createwikiEntryLink}"><fmt:message key="wiki.create.label"/></a>
                                        </form>
                                </c:if>				
                        </div>
                </div>
                <div class="wiki-breadcrumbs">
                        <portlet:actionURL var="wikisLink">
                                <portlet:param name="wiki_show" value="wikis"/>	
                        </portlet:actionURL>
                        <fmt:message key="wiki.wikis.label" var="wikis_crumb"/>
                        <span><a href="${wikisLink}" title="${wikis_crumb}">${wikis_crumb}</a></span>
                                <c:if test="${page_info.domain != null}">
                                    <c:if test="${wiki_show == 'wiki' or wiki_show == 'page'}">
                                        <portlet:actionURL var="wikiLink">
                                                <portlet:param name="wiki_show" value="wiki"/>	
                                        </portlet:actionURL>
                                        <c:set var="wiki_crumb" value="${page_info.domain}" scope="request"/>
                                        >&nbsp;<span><a href="${wikiLink}" title="${wiki_crumb}">${wiki_crumb}</a></span>
                                    </c:if>
                                </c:if>
                                <c:if test="${page_info.name != null}">
                                    <c:if test="${wiki_show == 'page'}">
                                        <portlet:actionURL var="wikiEntryLink">
                                                <portlet:param name="wiki_show" value="page"/>	
                                                <portlet:param name="wiki_page" value="${page_info.name}"/>	
                                        </portlet:actionURL>
                                        <c:set var="wiki_entry_crumb" value="${page_info.name}" scope="request"/>
                                        >&nbsp;<span><a href="${wikiEntryLink}" title="${wiki_entry_crumb}">${wiki_entry_crumb}</a></span>
                                    </c:if>
                                </c:if>
                </div>			
                <div class="wiki-container">
                        <c:choose>
                                <c:when test="${wiki_show == 'page' and wiki_page != null}">
                                    <c:if test="${fn:length(wiki_page) > 0}">
                                        <div id="${uid}_wiki_nav" class="wiki-nav wiki-nav-collapsed" onmousedown="wikiPortlet_navClick('${uid}', event);">
                                        </div>
                                        <c:set var="wiki_main_class" value="wiki-main-expanded" scope="request"/>
                                    </c:if>
                                </c:when>
                                <c:when test="${wiki_show == 'wiki' and wiki_scope != null}">
                                    <c:if test="${fn:length(wiki_scope) > 0}">
                                        <div id="${uid}_wiki_nav" class="wiki-nav wiki-nav-expanded">
                                                <div id="${uid}_wiki_page_list" class="wiki-list">
                                                        <ul>
                                                                <c:forEach items="${all_page_info}" var="info" varStatus="status" end="${(wiki_max_pages == null or wiki_max_pages == '' or wiki_max_pages == -1) ? 9999 : wiki_max_pages - 1}">
                                                                        <portlet:actionURL var="wikiWikiLink">
                                                                                <portlet:param name="wiki_scope" value="${info.domain}"/>
                                                                                <portlet:param name="wiki_page" value="${info.name}"/>
                                                                                <portlet:param name="wiki_show" value="wiki"/>
                                                                        </portlet:actionURL>
                                                                        <portlet:actionURL var="wikiPageLink">
                                                                                <portlet:param name="wiki_scope" value="${info.domain}"/>
                                                                                <portlet:param name="wiki_page" value="${info.name}"/>
                                                                                <portlet:param name="wiki_show" value="page"/>
                                                                        </portlet:actionURL>
                                                                        <c:set var="dateTime" value="${fn:split(info.modified, ' ')}" scope="request"/>
                                                                        <fmt:message key="wiki.page.msg.info" var="info_msg">
                                                                                <fmt:param value="${info.author}"></fmt:param>
                                                                                <fmt:param value="${info.editor}"></fmt:param>
                                                                                <fmt:param value="${dateTime[0]}"></fmt:param>
                                                                                <fmt:param value="${dateTime[1]}"></fmt:param>
                                                                        </fmt:message>
                                                                        <fmt:message key="wiki.goto.page.msg" var="goto_page_msg">
                                                                                <fmt:param value="${info.name}"></fmt:param>
                                                                                <fmt:param value="${info.domain}"></fmt:param>
                                                                        </fmt:message>
                                                                        <c:set var="linkClass" value="${info.name == page_info.name ? 'wiki-list-selected' : ''}" scope="request"/>
                                                                        <li class="${linkClass}" title="${info_msg}" onclick="wikiPortlet_selectPage('${uid}', '${status.index}');">
                                                                                <c:set var="linkClass" value="${info.name == page_info.name ? 'wiki-link-selected' : 'wiki-link'}" scope="request"/>
                                                                                <div class="${linkClass}">
                                                                                        <a id="${uid}_wiki_link_${status.index}" class="wiki-wiki-link" href="${wikiWikiLink}">
                                                                                                ${info.name}
                                                                                        </a>
                                                                                        <a id="${uid}_page_link_${status.index}" class="wiki-page-link" href="${wikiPageLink}" title="${goto_page_msg}">
                                                                                        <span></span>
                                                                                        </a>
                                                                                </div>
                                                                        </li>
                                                                </c:forEach>
                                                        </ul>
                                                </div>
                                        </div>
                                    </c:if>
                                </c:when>
                                <c:otherwise>
                                        <div id="${uid}_wiki_nav" class="wiki-nav wiki-nav-expanded" onmousedown="wikiPortlet_navClick('${uid}', event);">
                                                <div id="${uid}_wiki_page_list" class="wiki-list">
                                                        <ul>
                                                                <c:forEach items="${all_wikis}" var="wiki" varStatus="status" end="${(wiki_max_pages == null or wiki_max_pages == '' or wiki_max_pages == -1) ? 9999 : wiki_max_pages - 1}">
                                                                        <c:if test="${wiki.domainInfo.domain == wiki_scope}">
                                                                                <c:set var="current_wiki" value="${wiki}" scope="request"/>
                                                                        </c:if>
                                                                        <c:set var="info" value="${wiki.domainInfo}" scope="request"/>
                                                                        <portlet:actionURL var="wikiWikisLink">
                                                                                <portlet:param name="wiki_scope" value="${info.domain}"/>
                                                                                <portlet:param name="wiki_show" value="wikis"/>	
                                                                        </portlet:actionURL>
                                                                        <portlet:actionURL var="wikiWikiLink2">
                                                                                <portlet:param name="wiki_scope" value="${info.domain}"/>
                                                                                <portlet:param name="wiki_page" value="${info.startPage}"/>
                                                                                <portlet:param name="wiki_show" value="wiki"/>
                                                                        </portlet:actionURL>
                                                                        <fmt:message key="wiki.goto.wiki.start.msg" var="goto_wiki_msg">
                                                                                <fmt:param value="${info.startPage}"></fmt:param>
                                                                                <fmt:param value="${info.domain}"></fmt:param>
                                                                        </fmt:message>
                                                                        <c:set var="linkClass" value="${info.domain == wiki_scope ? 'wiki-list-selected' : ''}" scope="request"/>
                                                                        <li class="${linkClass}" title="${info_msg}" onclick="wikiPortlet_selectWiki('${uid}', '${status.index}');">
                                                                                <c:set var="linkClass" value="${info.domain == wiki_scope ? 'wiki-link-selected' : 'wiki-link'}" scope="request"/>
                                                                                <div class="${linkClass}">
                                                                                        <a id="${uid}_wiki_link_${status.index}" class="wiki-wiki-link" href="${wikiWikisLink}">
                                                                                                ${info.domain}
                                                                                        </a>
                                                                                        <a id="${uid}_page_link_${status.index}" class="wiki-page-link" href="${wikiWikiLink2}" title="${goto_wiki_msg}">
                                                                                        <span></span>
                                                                                        </a>
                                                                                </div>
                                                                        </li>
                                                                </c:forEach>
                                                        </ul>
                                                </div>
                                        </div>
                                </c:otherwise>
                        </c:choose>
                        <div id="${uid}_wiki_main" class="wiki-main ${wiki_main_class}">
                                <c:choose>
                                        <c:when test="${wiki_create == 'true'}">
                                                <c:set var="wiki_create_page" value="true" scope="request"/>
                                                <jsp:include page="page.jsp"/>
                                        </c:when>
                                        <c:when test="${search_results != null}">
                                                <jsp:include page="search_results.jsp"/>
                                        </c:when>						
                                        <c:when test="${wiki_show == 'wikis'}">
                                                <jsp:include page="wiki_info.jsp"/>
                                        </c:when>						
                                        <c:otherwise>
                                                <jsp:include page="page.jsp"/>
                                        </c:otherwise>
                                </c:choose>
                        </div>
                        <div class="wiki-footer">
                        </div>
                </div>
        </c:when>
        <c:otherwise>
                <jsp:include page="../edit.jsp"/>
                <c:choose>
                        <c:when test="${error_type == 'invalid_user'}">
                                <fmt:message key='wiki.invalid.user.msg' var="wiki_invalid_user_msg"/>
                                <script type="text/javascript">
                                //<![CDATA[
                                        (typeof wikiPortlet_alert != "undefined") ? wikiPortlet_alert("${uid}", "${wiki_invalid_user_msg}") : void(0);
                                //]]>
                                </script>
                        </c:when>
                        <c:when test="${error_type == 'invalid_domain'}">
                                <c:choose>
                                        <c:when test="${pageContext.request.userPrincipal != null and !empty wiki_scope}">
                                            <portlet:actionURL var="createDomainURL"/>
                                            <form id="${uid}_create_domain_form" method="POST" action="${createDomainURL}" style="display: none">
                                                    <input type="hidden" name="wiki_scope" id="${uid}_wiki_scope" value="${wiki_scope}"/>
                                                    <input type="hidden" name="page_name" id="${uid}_wiki_page" value="${wiki_page}"/>
                                                    <input id="${uid}_page_action" type="hidden" name="page_action" value="create_domain"/>		
                                            </form>
                                            <fmt:message key='wiki.no.domain.create.msg' var="wiki_no_domain_msg">
                                                    <fmt:param value="${wiki_scope}"/>
                                            </fmt:message>
                                            <script type="text/javascript">
                                                    //<![CDATA[
                                                    if (typeof wikiPortlet_confirm != "undefined") {
                                                            if (typeof wikiPortlet_confirm != "undefined") {
                                                                    if (wikiPortlet_confirm("${uid}", "${wiki_no_domain_msg}")) {
                                                                            var form = document.getElementById("${uid}_create_domain_form");
                                                                            form.submit();
                                                                    }
                                                            }								
                                                    }
                                                    //]]>
                                            </script>
                                        </c:when>
                                        <c:otherwise>
                                                <c:choose>
                                                        <c:when test="${wiki_scope != null and wiki_scope != ''}">
                                                            <fmt:message key='wiki.invalid.domain.msg' var="wiki_invalid_domain_msg">
                                                                    <fmt:param value="${wiki_scope}"/>
                                                            </fmt:message>
                                                        </c:when>
                                                        <c:otherwise>
                                                                <fmt:message key='wiki.no.domain.msg' var="wiki_invalid_domain_msg">
                                                                </fmt:message>
                                                        </c:otherwise>
                                                </c:choose>
                                                <script type="text/javascript">
                                                        //<![CDATA[
                                                                (typeof wikiPortlet_alert != "undefined") ? wikiPortlet_alert("${uid}", "${wiki_invalid_domain_msg}") : void(0);
                                                        //]]>
                                                </script>						
                                        </c:otherwise>
                                </c:choose>
                        </c:when>
                        <c:when test="${error_type == 'invalid_page'}">
                                <c:choose>
                                        <c:when test="${pageContext.request.userPrincipal != null}">
                                                <portlet:actionURL var="createPageURL"/>
                                                <form id="${uid}_create_page_form" method="POST" action="${createPageURL}" style="display: none">
                                                        <input type="hidden" name="wiki_scope" id="${uid}_wiki_scope" value="${wiki_scope}"/>
                                                        <input type="hidden" name="page_name" id="${uid}_wiki_page" value="${wiki_page}"/>
                                                        <input id="${uid}_page_action" type="hidden" name="page_action" value="create"/>		
                                                </form>
                                                <fmt:message key="wiki.not.exist.create.msg" var="wiki_not_exist_msg">
                                                        <fmt:param value="${wiki_page}"/>
                                                        <fmt:param value="${wiki_scope}"/>
                                                </fmt:message>
                                                <script type="text/javascript">
                                                        //<![CDATA[
                                                        if (typeof wikiPortlet_confirm != "undefined") {
                                                                if (wikiPortlet_confirm("${uid}", "${wiki_not_exist_msg}")) {
                                                                        var form = document.getElementById("${uid}_create_page_form");
                                                                        form.submit();
                                                                }
                                                        }								
                                                        //]]>
                                                </script>
                                        </c:when>
                                        <c:otherwise>
                                                <fmt:message key='wiki.not.exist.msg' var="wiki_not_exist_msg">
                                                        <fmt:param value="${wiki_page}"/>
                                                        <fmt:param value="${wiki_scope}"/>
                                                </fmt:message>
                                                <script type="text/javascript">
                                                //<![CDATA[
                                                        (typeof wikiPortlet_alert != "undefined") ? wikiPortlet_alert("${uid}", "${wiki_not_exist_msg}") : void(0);
                                                //]]>
                                                </script>
                                        </c:otherwise>
                                </c:choose>
                        </c:when>
                        <c:when test="${error_type == 'invalid_url'}">
                                <fmt:message key='wiki.invalid.url.msg' var="wiki_invalid_url_msg">
                                        <fmt:param value="${wiki_url}"/>
                                </fmt:message>
                                <script type="text/javascript">
                                //<![CDATA[
                                        (typeof wikiPortlet_alert != "undefined") ? wikiPortlet_alert("${uid}", "${wiki_invalid_url_msg}") : void(0);
                                //]]>
                                </script>
                        </c:when>
                        <c:when test="${error_type == 'invalid_service'}">
                                <fmt:message key='wiki.invalid.service.msg' var="wiki_invalid_service_msg">
                                        <fmt:param value="${wiki_url}"/>
                                </fmt:message>
                                <script type="text/javascript">
                                //<![CDATA[
                                        (typeof wikiPortlet_alert != "undefined") ? wikiPortlet_alert("${uid}", "${wiki_invalid_service_msg}") : void(0);
                                //]]>
                                </script>
                        </c:when>
                        <c:otherwise>
                        </c:otherwise>
                </c:choose>				
        </c:otherwise>
</c:choose>	
