package samples.webcenter.portlets.discussions;

import com.jivesoftware.ws.client.util.ForumPermissions;
import com.jivesoftware.ws.client.util.Permissions;


public class ForumPerms {
	protected long perms = 0L;
	
	public ForumPerms(long perms) {
		this.perms = perms;
	}
	
	public boolean getIsForumCategoryAdmin() {
		return (this.perms & ForumPermissions.FORUM_CATEGORY_ADMIN) != 0;
	}
	
	public boolean getIsForumAdmin() {
		return (this.perms & ForumPermissions.FORUM_ADMIN) != 0;
	}
	
	public boolean getIsModerator() {
		return (this.perms & ForumPermissions.MODERATOR) != 0;
	}
	
	public boolean getCanReadForum() {
		return (this.perms & ForumPermissions.READ_FORUM) != 0;
	}
	
	public boolean getCanCreateMessage() {
		return (this.perms & ForumPermissions.CREATE_MESSAGE) != 0;
	}
	
	public boolean getCanCreateThread() {
		return (this.perms & ForumPermissions.CREATE_THREAD) != 0;
	}
	
	public boolean getCanCreateMessageAttachment() {
		return (this.perms & ForumPermissions.CREATE_MESSAGE_ATTACHMENT) != 0;
	}
	
	public boolean getCanCreatePoll() {
		return (this.perms & ForumPermissions.CREATE_POLL) != 0;
	}

	public boolean getCanPrivateMessage() {
		return (this.perms & ForumPermissions.PRIVATE_MESSAGE) != 0;
	}
	
	public boolean getCanRateMessage() {
		return (this.perms & ForumPermissions.RATE_MESSAGE) != 0;
	}
	
	public boolean getCanVoteInPoll() {
		return (this.perms & ForumPermissions.VOTE_IN_POLL) != 0;
	}
	
	public boolean getCanCreatePrivateMessageAttachment() {
		return (this.perms & ForumPermissions.CREATE_PRIVATE_MESSAGE_ATTACHMENT) != 0;
	}
	
	public boolean getIsAnnouncementAdmin() {
		return (this.perms & ForumPermissions.ANNOUNCEMENT_ADMIN) != 0;
	}
	
	public boolean getCanCreateAvatar() {
		return (this.perms & ForumPermissions.AVATAR) != 0;
	}
	
	public boolean getCanViewOnlineStatus() {
		return (this.perms & Permissions.VIEW_ONLINE_STATUS) != 0;
	}

	public boolean getIsUserAdmin() {
		return (this.perms & Permissions.USER_ADMIN) != 0;
	}

	public boolean getIsGroupAdmin() {
		return (this.perms & Permissions.GROUP_ADMIN) != 0;
	}
	
	public boolean getIsSystemAdmin() {
		return (this.perms & Permissions.SYSTEM_ADMIN) != 0;
	}
}
